Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

List all calls

Prev Next
Get
/v2/calls

List calls that took place during the specified date range.

Required authorizaton scope: 'api:calls:read:basic'.

Query parameters
cursor
string

When paging is needed, provide the cursor from the response of the previous API call to bring the next page.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
fromDateTime
stringRequired

From date and time in ISO-8601. Use UTC (Z) or a timezone offset such as -07:00. Returns calls on or after this time. For web-conference calls, the date is the scheduled time, otherwise, it's the actual start time.

Example2018-02-18T08:00:00Z
toDateTime
stringRequired

To date and time in ISO-8601. Use UTC (Z) or a timezone offset such as -7:00. Returns calls that started before this date and time. For web-conference calls, the date is the scheduled time, otherwise, it's the actual start time.

Example2018-02-18T02:30:00-07:00
workspaceId
string

Workspace identifier, if supplied the API only returns calls belonging to this workspace.

Responses
200

Successful response

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
records
object (Records)

Information about the number of records that match the requested filter.

totalRecords
integer (int32)

Total number of records.

Example263
currentPageSize
integer (int32)

Number of records in the current page.

Example100
currentPageNumber
integer (int32)

Current page number.

Example0
cursor
string

Returned only when there are more records to be retrieved. Repeat the API call and pass this cursor value in the request to retrieve the next page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
calls
Array of object (CallBasicData)

A list, in which each item specifies one call.

object

call's metadata.

id
string

Gong's unique numeric identifier for the call (up to 20 digits).

Example7782342274025937895
url
string

The URL to the page in the Gong web application where the call is available.

Examplehttps://app.gong.io/call?id=7782342274025937895
title
string

The title of the call.

ExampleExample call
scheduled
string (date-time)

Scheduled date and time of the call in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

Example2018-02-17T10:30:00Z
started
string (date-time)

The date and time when the call was recorded in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

Example2018-02-17T10:30:00Z
duration
integer (int64)

The duration of the call, in seconds.

Example460
primaryUserId
string

The primary user ID of the team member who hosted the call.

Example234599484848423
direction
string

Call direction.

Valid values[ "Inbound", "Outbound", "Conference", "Unknown" ]
system
string

The system with which the call was carried out (e.g., WebEx, ShoreTel, etc.).

ExampleOutreach
scope
string

The scope of the call: 'internal' if all the participants are from the company, 'external' if some participants are not from the company, or 'unknown' if the scope is unknown.

Valid values[ "Internal", "External", "Unknown" ]
ExampleInternal
media
string

Media type

Valid values[ "Video", "Audio" ]
ExampleVideo
language
string

The language codes (as defined by ISO-639-2B). E.g., eng, fre, spa, ger, and ita. Also used are und (unsupported language), and zxx (not enough speech content for identification).

Exampleeng
workspaceId
string

Gong's unique numeric identifier for the call's workspace (up to 20 digits).

Example623457276584334
sdrDisposition
string

The SDR disposition of the call. This can be an automated value provided by the provider, or manually entered by the rep.

ExampleGot the gatekeeper
clientUniqueId
string

The call's unique identifier in the origin recording system (typically a telephony recording system). The identifier is provided to Gong during the call creation via the Public API or through telephony systems integrations.

Example7JEHFRGXDDZFEW2FC4U
customData
string

Metadata as was provided to Gong during the call creation via the Public API.

ExampleConference Call
purpose
string

The purpose of the call.

ExampleDemo Call
meetingUrl
string

The meeting provider URL on which the web conference was recorded.

Examplehttps://zoom.us/j/123
isPrivate
boolean

If the call is private.

Examplefalse
calendarEventId
string

The Id of the meeting in Google or Outlook Calendar.

Exampleabcde@google.com
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
404

No calls found for the specified period

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string